//
//  HUDLayer.h
//  theLastNinja
//
//  Created by lai qing on 13-8-22.
//  Copyright 2013年 Tide Studio Game. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "cocos2d.h"
#import "GameDefine.h"
#import "ShareGameObjectManager.h"
#import "GameMainPlayerInfoLayer.h"
#import "GameMainMenuLayer.h"

//this layer working in the game

@interface HUDLayer : CCLayer {
 
    //CCLabelBMFont *hitCount;
    //CCLabelBMFont *hitString;
    //CCLayer<AccelerationPos> *gameLayer;
    
    int evtID;
    
    CCSprite *magic1Btn;
    CCSprite *magic2Btn;
    CCSprite *attackBtn;
    
    CCSprite *portrait;
    
    int hitNumber;
    ccTime elapse;
    int schdeulerRunning;

}


-(void) playerFire;
-(void) playerJump;
-(void) playerCastMagic01;
-(void) playerCastMagic02;
-(void) playerCastMagic03;
-(void) playerCastMagic04;

-(void) pauseGameAndShowMenu;  //call GameMainMenuLayer
-(void) pauseGameAndShowPlayerInfo;  //call GameMainPlayerInfoLayer

-(void) microphone;
-(void) updatePlayerHpMpLevelKill;

/*
    in player object
       get the hudlayer
       if (hudlayer get attack number > 0) {
           player run the attack number+1 animation
       }
       else {
           player fire the first attack
       }
 
    in hurtobject
    get the hudlayer
    if (collise with bot) {
        hudlayer increase hit number
    }
 
*/
-(void) increaseHitNumber;
-(int) getHitNumber;

-(void) updateHitNumber:(ccTime)delta;

@end
