//
//  LevelSprite.h
//  DoodleDrop
//
//  Created by lai qing on 13-7-31.
//  Copyright 2013年 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "cocos2d.h"
#import "JumpProtocol.h"
#import "SKSprite.h"
#import "CoinBonusSprite.h"

@interface LevelSprite : CCSprite<Level> {
    SKSprite *botOnIt_;
    CCLayer<AccelerationPos> *owner_;
    CCSpriteBatchNode *sb_;
}

-(void) initWithOwner:(CCLayer<AccelerationPos>*)owner inPosition:(CGPoint)_position withSpriteBatchNode:(CCSpriteBatchNode*)_sb;
-(CGPoint) walkingRangeLeft;
-(CGPoint) walkingRangeRight;
-(void) generateHurtObject;
-(void) generateObstacle;
-(void) generateEnemyBot;  //generate enemybot and set it's enemybot property
//-(void) dealloc;   on dealloc , call it's enemybot to release , and obstacle's to free
-(void) update:(ccTime)delta;

@end
