//
//  SelectCharacterLayer.h
//  theLastNinja
//
//  Created by lai qing on 13-10-18.
//  Copyright 2013年 Tide Studio Game. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "cocos2d.h"
#import "GameDefine.h"
#import "ShareGameObjectManager.h"
#import "TouchAbleSprite.h"

@interface SelectCharacterLayer : CCLayer {
    
    int currentViewID; // 1 -- 3 , 代表当前显示的是不同的角色
    /*
    //total bg
    CCSprite* bg[3];
    //head bg
    CCSprite* headBg[3];
    CCSprite* head[3];
    CCLabelBMFont* characterName[3];
    
    //info bg
    CCSprite* infoBg[3];
    //level info label
    CCLabelBMFont* lv[3];
    CCLabelBMFont* hp[3];
    CCLabelBMFont* mp[3];
    CCLabelBMFont* attack[3];
    CCLabelBMFont* defend[3];
    CCLabelBMFont* exp[3];
    //left right button
    TouchAbleSprite* leftButton[3];
    TouchAbleSprite* rightButton[3];
    //skill list
    CCSprite* skillbg0[3];
    CCSprite* skillbg1[3];
    CCSprite* skillbg2[3];
    CCSprite* skillbg3[3];
    CCSprite* skillbg4[3];
    TouchAbleSprite* skill0[3];
    TouchAbleSprite* skill1[3];
    TouchAbleSprite* skill2[3];
    TouchAbleSprite* skill3[3];
    TouchAbleSprite* skill4[3];
    
    CCLabelBMFont* skillName0[3];
    CCLabelBMFont* skillName1[3];
    CCLabelBMFont* skillName2[3];
    CCLabelBMFont* skillName3[3];
    CCLabelBMFont* skillName4[3];
    //dialog show character info
    CCSprite* dialog[3];
    
    TouchAbleSprite* backBtn;
    TouchAbleSprite* nextBtn;
    */
    //CCLabelBMFont* messages;
    
    int currentTextProcess ;
    int maxTextProcess ;
    
}

//整个场景向左或向右移动
-(int) leftButtonTouch;
-(int) rightButtonTouch;
-(int) checkCharacterViewPos;

-(int) getResponseID:(int)tagID;

-(void) showMessageInDialog:(NSNumber*)textID; // when switch character , or touch skill , show info in dialog


-(void) updateText:(ccTime)delta;

//进入下一个场景和返回上一个场景
-(void) gobackScene;
-(void) goNextScene;

@end
