//
//  SwordManSprite.h
//  theLastNinja
//
//  Created by lai qing on 13-11-15.
//  Copyright 2013年 Tide Studio Game. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "cocos2d.h"
#import "GameDefine.h"
#import "JumpProtocol.h"

@interface SwordManSprite : CCSprite<PlayerRole> {
    
    playerRecord pr;  //have a playerRecord , copy from shareGameManager
    
    int playerAlreadAttack;
    int playerFireCount;
    
    int playerColliseInLeft_;
    int playerColliseInRight_;
    
    CCSprite *playerCurrentLevel; //a pointer point to the player floor currently stand
    
    int _playerstate; // 0 init , 1 jump , 2 falling , 0 on the ground
}

-(void) setPlayerColliseInLeft;
-(void) setPlayerColliseInRight;
-(void) unsetPlayerColliseInLeft;
-(void) unsetPlayerColliseInRight;

-(void) setPlayerStandFloor:(CCSprite*)currentFloor;

-(void) playerFire;
-(void) playerJump;
-(void) playerCastMagic;
-(void) playerCastMagic2;
-(void) playerRecvHurt:(NSObject*)HurtObject;
-(void) playerRecvJumpHurt:(int)leftOrRight;

@end
