//
//  TextRunUpEffect.m
//  JumpingElfin
//
//  Created by laiqing lai on 12-5-24.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//

#import "TextRunUpEffect.h"


@implementation TextRunUpEffect

-(id)init {
    if( (self=[super init])) {
		
	}
	return self;
}


-(void)dealloc {
    //CCLOG(@"release TextRunUpEffect....");
    _owner = nil;
    [super dealloc];
}

-(void)initSprite:(CGPoint)dest withLayer:(CCLayer<AccelerationPos>*)layer withColor:(ccColor3B)color withFontSize:(int)fontSize withText:(NSString *)text
{
    _txt = [CCLabelTTF labelWithString:text fontName:@"Marker Felt" fontSize:fontSize];
    //_txt.color = ccc3(255, 0, 0);
    _txt.color = color ;
    _txt.position = ccp(dest.x , dest.y) ;
    _owner = layer;
    [_owner addChild:_txt];
    CCMoveTo *mv = [CCMoveTo actionWithDuration:1.5f position:ccp(_txt.position.x,_txt.position.y+80)];
    CCFadeOut *fo = [CCFadeOut actionWithDuration:1.5f];
    CCSpawn *sp = [CCSpawn actions:mv,fo, nil];
    [_txt runAction:sp];
    //CCCallFunc *func = [CCCallFunc actionWithTarget:self selector:@selector(removeAll)];
    //[_txt runAction:[CCSequence actions:sp,func, nil]];
    [self performSelector:@selector(removeAll) withObject:nil afterDelay:1.5f];
}

-(void)removeAll {
    [_txt stopAllActions];
    [_txt removeFromParentAndCleanup:YES];
    [self release];
}

@end
