//
//  GameMainScene.m
//  theLastNinja
//
//  Created by lai qing on 13-11-6.
//  Copyright 2013年 Tide Studio Game. All rights reserved.
//

#import "GameMainScene.h"


@implementation GameMainScene

+(id) nodeWithSceneID:(int)scID
{
    return [[[self alloc] initWithSceneID:scID] autorelease];
}

-(id) initWithSceneID:(int)scID
{
    self = [super init];
    if (self) {
        sceneID = scID;
        
        bgLayer = [BackGroundLayer nodeWithSceneID:scID];
        [self addChild:bgLayer z:Z_ORDER_BACKGROUND_LAYER tag:Z_ORDER_BACKGROUND_LAYER];
        
        hlayer = [HUDLayer node];
        [self addChild:hlayer z:Z_ORDER_HUD_LAYER tag:Z_ORDER_HUD_LAYER];
        
        
        
    }
    return self;
}

-(id) init
{
    if ((self = [super init])) {
        //add back layer
        //add main layer
        //add hud layer
        
    }
    return self;
}


-(int) getSceneID
{
    return sceneID;
    //return 0;
    //call the game layer to return sceneid
}

-(void) setNextScene:(int)sceneID
{
    
}

-(void) onEnter {
    //init the background music
    [[SimpleAudioEngine sharedEngine] preloadBackgroundMusic:@"chunli.aifc"];
    [[SimpleAudioEngine sharedEngine] preloadEffect:@"menutouch.caf"];
    if ([[ShareGameObjectManager shareGameObjectManager] getMusic]) {
        [[ShareGameObjectManager shareGameObjectManager] playBackgroundTrack:@"chunli.aifc"];
    }
    [super onEnter];
}


-(void) onExit
{
    //stop the music
    if ([[SimpleAudioEngine sharedEngine] isBackgroundMusicPlaying]) {
        [[SimpleAudioEngine sharedEngine] stopBackgroundMusic];
    }
    [super onExit];
}



//callby other layer
-(UIImage*) captureAll
{
    CCNode *n = [self.children objectAtIndex:0];
    //[CCDirector sharedDirector].nextDeltaTimeZero = YES;
    
    CGSize winSize = [CCDirector sharedDirector].winSize;
    CCRenderTexture* rtx =
    [CCRenderTexture renderTextureWithWidth:winSize.width
                                     height:winSize.height];
    [rtx begin];
    [n visit];
    [rtx end];
    
    return [rtx getUIImage];

}


@end
