//
//  GameOverLayer.m
//  theLastNinja
//
//  Created by lai qing on 13-11-4.
//  Copyright 2013年 Tide Studio Game. All rights reserved.
//

#import "GameOverLayer.h"
//#import <Social/SLComposeViewController.h>
#import <Social/Social.h>


@implementation GameOverLayer

//draw a pic , touch to back to viewCharacter Scene

-(id) init {
    self = [super init];
    if (self) {
        //todo: draw a background pic-iphone , ipad ,  show jumpheight , killcount , twitter button ,  play again button
        
        
        
        
    }
    return self;
}



-(void) dealloc {
    [super dealloc];
}

-(void) tweetScore {
    
    if ([SLComposeViewController isAvailableForServiceType:SLServiceTypeTwitter]) {
        SLComposeViewController *controller = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeTwitter];
        
        SLComposeViewControllerCompletionHandler myBlock = ^(SLComposeViewControllerResult result){
            if (result == SLComposeViewControllerResultCancelled) {
                
                NSLog(@"Cancelled");
                
            } else
                
            {
                NSLog(@"Done");
            }
            
            [controller dismissViewControllerAnimated:YES completion:Nil];
        };
        controller.completionHandler =myBlock;
        
        //Adding the Text to the facebook post value from iOS
        int killCount = [[ShareGameObjectManager shareGameObjectManager] getKillCount];
        int jumpHeight = [[ShareGameObjectManager shareGameObjectManager] getJumpHeight];
        
        NSString* tweetText = [NSString stringWithFormat:@"I jumped %d feet height and killed %d zombies.",jumpHeight,killCount];
        
        [controller setInitialText:tweetText];
        
        //Adding the URL to the facebook post value from iOS
        
        [controller addURL:[NSURL URLWithString:@"http://facebook.com/tidestudio"]];
        
        //Adding the Image to the facebook post value from iOS
        UIImage* capture = [[ShareGameObjectManager shareGameObjectManager] getScreenShot];
        if (capture) {
            [controller addImage:capture];
        }
        
        [[[CCDirector sharedDirector]parentViewController] presentViewController:controller animated:YES completion:Nil];
    }
    else {
        CCLOG(@"UnAvailable");
        
        UIAlertView *alertView = [[UIAlertView alloc]
                                  initWithTitle:@"Sorry"
                                  message:@"You can't send a tweet right now, make sure your device has an internet connection and you have at least one Twitter account setup"
                                  delegate:self
                                  cancelButtonTitle:@"OK"
                                  otherButtonTitles:nil];
        [alertView show];
    }
    
}

-(void) goNext
{
    //remove all animation , sound
    
    [[ShareGameObjectManager shareGameObjectManager] runSceneWithID:VIEW_CHARACTER_SCENE withLoadingNextScene:0];
}


@end
