//
//  SelectGameLayer.m
//  theLastNinja
//
//  Created by lai qing on 13-8-19.
//  Copyright 2013年 Tide Studio Game. All rights reserved.
//

#import "SelectGameTypeLayer.h"


@implementation SelectGameTypeLayer


-(id) init
{
    if( (self=[super init]) ) {
        /*
        CCSprite* bg = [CCSprite spriteWithFile:@"bg2.png"];
        bg.anchorPoint = ccp(0,0);
        bg.position = ccp(0,0);
        [self addChild:bg z:-1];
        */
        buttonTouched = 0;
        [self initAllButton];
        //CCLOG(@"x:%f,y:%f",self.position.x,self.position.y);
    }
    return self;
}

-(void) dealloc
{
    //release self field ....
    
    [super dealloc];
}

-(void) initAllButton
{
    int screenResolution = [[ShareGameObjectManager shareGameObjectManager] getScreenResolution];
    if (screenResolution <  10) {
        [self initAllButton_iphone];
    }
    else {
        [self initAllButton_ipad];
    }

}

-(void) initAllButton_iphone
{
    //clear all child
    [self removeAllChildren];
    //set all item to nil
    head1 = nil;
    head2 = nil;
    head3 = nil;
    text1 = nil;
    text2 = nil;
    text3 = nil;
    image1 = nil;
    image2 = nil;
    image3 = nil;
    del1 = nil;
    del2 = nil;
    del3 = nil;
    CCSprite* bg = [CCSprite spriteWithFile:@"bg2.png"];
    bg.anchorPoint = ccp(0,0);
    bg.position = ccp(0,0);
    [self addChild:bg z:-1];
    
    //look up in the save record , show the button
    BOOL rec_exist = [[ShareGameObjectManager shareGameObjectManager] findOutSaveRecord:1];
    if (rec_exist) {
        int playerLevel = [[ShareGameObjectManager shareGameObjectManager] getPlayerLevelFromRecord:1];
        int player_id = [[ShareGameObjectManager shareGameObjectManager] getPlayerIDFromRecord:1];
        //show button in the text
        NSString* headfile = [NSString stringWithFormat:@"head%d.png",player_id-1];
        head1 = [CCSprite spriteWithFile:headfile];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        head1.position = ccp(35,400);
        //}
        [self addChild:head1];
        NSString* levelinfo = [NSString stringWithFormat:@"level:%d",playerLevel];
        text1 = [CCLabelBMFont labelWithString:levelinfo fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text1.position = ccp(150,400);
        //}
        [self addChild:text1 z:3];
        image1 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(loadSaveGame01)];
        del1 =[TouchAbleSprite spriteWithFile:@"del.png"];
        [del1 initLayer:self withSelector:@selector(deleteSave01) defaultImageFile:@"del.png" pressImageFile:@"del.png" imageInCache:NO];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        del1.position = ccp(270,400);
        //}
        [self addChild:del1];
    }
    else {
        //show new game button
        text1 = [CCLabelBMFont labelWithString:@"new game" fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text1.position = ccp(150,400);
        //}
        [self addChild:text1 z:3];
        image1 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(startNewGame01)];
    }
    
    //add rec 02
    //look up in the save record , show the button
    rec_exist = [[ShareGameObjectManager shareGameObjectManager] findOutSaveRecord:2];
    if (rec_exist) {
        int playerLevel = [[ShareGameObjectManager shareGameObjectManager] getPlayerLevelFromRecord:2];
        int player_id = [[ShareGameObjectManager shareGameObjectManager] getPlayerIDFromRecord:2];
        //show button in the text
        NSString* headfile = [NSString stringWithFormat:@"head%d.png",player_id-1];
        head2 = [CCSprite spriteWithFile:headfile];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        head2.position = ccp(35,320);
        //}
        [self addChild:head2];
        NSString* levelinfo = [NSString stringWithFormat:@"level:%d",playerLevel];
        text2 = [CCLabelBMFont labelWithString:levelinfo fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text2.position = ccp(150,320);
        //}
        [self addChild:text2 z:3];
        image2 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(loadSaveGame02)];
        del2 =[TouchAbleSprite spriteWithFile:@"del.png"];
        [del2 initLayer:self withSelector:@selector(deleteSave02) defaultImageFile:@"del.png" pressImageFile:@"del.png" imageInCache:NO];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        del2.position = ccp(270,320);
        //}
        [self addChild:del2];
    }
    else {
        //show new game button
        text2 = [CCLabelBMFont labelWithString:@"new game" fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text2.position = ccp(150,320);
        //}
        [self addChild:text2 z:3];
        image2 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(startNewGame02)];
    }
    
    //add rec 03
    //look up in the save record , show the button
    rec_exist = [[ShareGameObjectManager shareGameObjectManager] findOutSaveRecord:3];
    if (rec_exist) {
        int playerLevel = [[ShareGameObjectManager shareGameObjectManager] getPlayerLevelFromRecord:3];
        int player_id = [[ShareGameObjectManager shareGameObjectManager] getPlayerIDFromRecord:3];
        //show button in the text
        NSString* headfile = [NSString stringWithFormat:@"head%d.png",player_id-1];
        head3 = [CCSprite spriteWithFile:headfile];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        head3.position = ccp(35,240);
        //}
        [self addChild:head3];
        NSString* levelinfo = [NSString stringWithFormat:@"level:%d",playerLevel];
        text3 = [CCLabelBMFont labelWithString:levelinfo fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text3.position = ccp(150,240);
        //}
        [self addChild:text3 z:3];
        image3 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(loadSaveGame03)];
        del3 =[TouchAbleSprite spriteWithFile:@"del.png"];
        [del3 initLayer:self withSelector:@selector(deleteSave03) defaultImageFile:@"del.png" pressImageFile:@"del.png" imageInCache:NO];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        del3.position = ccp(270,240);
        //}
        [self addChild:del3];
    }
    else {
        //show new game button
        text3 = [CCLabelBMFont labelWithString:@"new game" fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text3.position = ccp(150,240);
        //}
        [self addChild:text3 z:3];
        image3 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(startNewGame03)];
        
    }
    //最后把3个菜单都加入到menu里
    CCMenu *menu = [CCMenu menuWithItems:image1,image2,image3, nil];
    //[menu alignItemsVertically];
    [menu alignItemsVerticallyWithPadding:26];
    
    //[menu alignItemsHorizontallyWithPadding:20];
    CGSize size = [[CCDirector sharedDirector] winSize];
    
    [menu setPosition:ccp( size.width/2-10, 316)];
    
    // Add the menu to the layer
    [self addChild:menu];
    
}

-(void) initAllButton_ipad
{
    //clear all child
    [self removeAllChildren];
    //set all item to nil
    head1 = nil;
    head2 = nil;
    head3 = nil;
    text1 = nil;
    text2 = nil;
    text3 = nil;
    image1 = nil;
    image2 = nil;
    image3 = nil;
    del1 = nil;
    del2 = nil;
    del3 = nil;
    CCSprite* bg = [CCSprite spriteWithFile:@"bg2.png"];
    bg.anchorPoint = ccp(0,0);
    bg.position = ccp(0,0);
    [self addChild:bg z:-1];
    
    //look up in the save record , show the button
    BOOL rec_exist = [[ShareGameObjectManager shareGameObjectManager] findOutSaveRecord:1];
    if (rec_exist) {
        int playerLevel = [[ShareGameObjectManager shareGameObjectManager] getPlayerLevelFromRecord:1];
        int player_id = [[ShareGameObjectManager shareGameObjectManager] getPlayerIDFromRecord:1];
        //show button in the text
        NSString* headfile = [NSString stringWithFormat:@"head%d.png",player_id-1];
        head1 = [CCSprite spriteWithFile:headfile];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        head1.position = ccp(35,400);
        //}
        [self addChild:head1];
        NSString* levelinfo = [NSString stringWithFormat:@"level:%d",playerLevel];
        text1 = [CCLabelBMFont labelWithString:levelinfo fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text1.position = ccp(150,400);
        //}
        [self addChild:text1 z:3];
        image1 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(loadSaveGame01)];
        del1 =[TouchAbleSprite spriteWithFile:@"del.png"];
        [del1 initLayer:self withSelector:@selector(deleteSave01) defaultImageFile:@"del.png" pressImageFile:@"del.png" imageInCache:NO];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        del1.position = ccp(270,400);
        //}
        [self addChild:del1];
    }
    else {
        //show new game button
        text1 = [CCLabelBMFont labelWithString:@"new game" fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text1.position = ccp(150,400);
        //}
        [self addChild:text1 z:3];
        image1 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(startNewGame01)];
    }
    
    //add rec 02
    //look up in the save record , show the button
    rec_exist = [[ShareGameObjectManager shareGameObjectManager] findOutSaveRecord:2];
    if (rec_exist) {
        int playerLevel = [[ShareGameObjectManager shareGameObjectManager] getPlayerLevelFromRecord:2];
        int player_id = [[ShareGameObjectManager shareGameObjectManager] getPlayerIDFromRecord:2];
        //show button in the text
        NSString* headfile = [NSString stringWithFormat:@"head%d.png",player_id-1];
        head2 = [CCSprite spriteWithFile:headfile];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        head2.position = ccp(35,320);
        //}
        [self addChild:head2];
        NSString* levelinfo = [NSString stringWithFormat:@"level:%d",playerLevel];
        text2 = [CCLabelBMFont labelWithString:levelinfo fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text2.position = ccp(150,320);
        //}
        [self addChild:text2 z:3];
        image2 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(loadSaveGame02)];
        del2 =[TouchAbleSprite spriteWithFile:@"del.png"];
        [del2 initLayer:self withSelector:@selector(deleteSave02) defaultImageFile:@"del.png" pressImageFile:@"del.png" imageInCache:NO];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        del2.position = ccp(270,320);
        //}
        [self addChild:del2];
    }
    else {
        //show new game button
        text2 = [CCLabelBMFont labelWithString:@"new game" fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text2.position = ccp(150,320);
        //}
        [self addChild:text2 z:3];
        image2 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(startNewGame02)];
    }
    
    //add rec 03
    //look up in the save record , show the button
    rec_exist = [[ShareGameObjectManager shareGameObjectManager] findOutSaveRecord:3];
    if (rec_exist) {
        int playerLevel = [[ShareGameObjectManager shareGameObjectManager] getPlayerLevelFromRecord:3];
        int player_id = [[ShareGameObjectManager shareGameObjectManager] getPlayerIDFromRecord:3];
        //show button in the text
        NSString* headfile = [NSString stringWithFormat:@"head%d.png",player_id-1];
        head3 = [CCSprite spriteWithFile:headfile];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        head3.position = ccp(35,240);
        //}
        [self addChild:head3];
        NSString* levelinfo = [NSString stringWithFormat:@"level:%d",playerLevel];
        text3 = [CCLabelBMFont labelWithString:levelinfo fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text3.position = ccp(150,240);
        //}
        [self addChild:text3 z:3];
        image3 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(loadSaveGame03)];
        del3 =[TouchAbleSprite spriteWithFile:@"del.png"];
        [del3 initLayer:self withSelector:@selector(deleteSave03) defaultImageFile:@"del.png" pressImageFile:@"del.png" imageInCache:NO];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        del3.position = ccp(270,240);
        //}
        [self addChild:del3];
    }
    else {
        //show new game button
        text3 = [CCLabelBMFont labelWithString:@"new game" fntFile:@"ninja-casual.fnt"];
        //if ([[ShareGameObjectManager shareGameObjectManager] getScreenResolution] == IPHONE_5 ) {
        text3.position = ccp(150,240);
        //}
        [self addChild:text3 z:3];
        image3 = [CCMenuItemImage itemWithNormalImage:@"button.png" selectedImage:@"button.png" target:self selector:@selector(startNewGame03)];
        
    }
    //最后把3个菜单都加入到menu里
    CCMenu *menu = [CCMenu menuWithItems:image1,image2,image3, nil];
    //[menu alignItemsVertically];
    [menu alignItemsVerticallyWithPadding:26];
    
    //[menu alignItemsHorizontallyWithPadding:20];
    CGSize size = [[CCDirector sharedDirector] winSize];
    
    [menu setPosition:ccp( size.width/2-10, 316)];
    
    // Add the menu to the layer
    [self addChild:menu];
    
}



-(void) startNewGame01
{
    if ([[ShareGameObjectManager shareGameObjectManager] getSound]) {
        [[ShareGameObjectManager shareGameObjectManager] playEffect:@"menutouch.caf"];
    }
    [[ShareGameObjectManager shareGameObjectManager] initNewFileRecord:1];
    [[ShareGameObjectManager shareGameObjectManager] runSceneWithID:SELECT_CHARACTER_SCENE withLoadingNextScene:0];
}

-(void) startNewGame02
{
    if ([[ShareGameObjectManager shareGameObjectManager] getSound]) {
        [[ShareGameObjectManager shareGameObjectManager] playEffect:@"menutouch.caf"];
    }
    [[ShareGameObjectManager shareGameObjectManager] initNewFileRecord:2];
    [[ShareGameObjectManager shareGameObjectManager] runSceneWithID:SELECT_CHARACTER_SCENE withLoadingNextScene:0];
}

-(void) startNewGame03
{
    if ([[ShareGameObjectManager shareGameObjectManager] getSound]) {
        [[ShareGameObjectManager shareGameObjectManager] playEffect:@"menutouch.caf"];
    }
    [[ShareGameObjectManager shareGameObjectManager] initNewFileRecord:3];
    [[ShareGameObjectManager shareGameObjectManager] runSceneWithID:SELECT_CHARACTER_SCENE withLoadingNextScene:0];
}

-(void) loadSaveGame01
{
    if ([[ShareGameObjectManager shareGameObjectManager] getSound]) {
        [[ShareGameObjectManager shareGameObjectManager] playEffect:@"menutouch.caf"];
    }
    //[[ShareGameObjectManager shareGameObjectManager] loadFileRecord:1];
    [[ShareGameObjectManager shareGameObjectManager] setFileRecordID:1];
    [[ShareGameObjectManager shareGameObjectManager] runSceneWithID:VIEW_CHARACTER_SCENE withLoadingNextScene:0];
}

-(void) loadSaveGame02
{
    if ([[ShareGameObjectManager shareGameObjectManager] getSound]) {
        [[ShareGameObjectManager shareGameObjectManager] playEffect:@"menutouch.caf"];
    }
    //[[ShareGameObjectManager shareGameObjectManager] loadFileRecord:2];
    [[ShareGameObjectManager shareGameObjectManager] setFileRecordID:2];
    [[ShareGameObjectManager shareGameObjectManager] runSceneWithID:VIEW_CHARACTER_SCENE withLoadingNextScene:0];
}

-(void) loadSaveGame03
{
    if ([[ShareGameObjectManager shareGameObjectManager] getSound]) {
        [[ShareGameObjectManager shareGameObjectManager] playEffect:@"menutouch.caf"];
    }
    //[[ShareGameObjectManager shareGameObjectManager] loadFileRecord:3];
    [[ShareGameObjectManager shareGameObjectManager] setFileRecordID:3];
    [[ShareGameObjectManager shareGameObjectManager] runSceneWithID:VIEW_CHARACTER_SCENE withLoadingNextScene:0];
}

-(void) deleteSave01
{
    if ([[ShareGameObjectManager shareGameObjectManager] getSound]) {
        [[ShareGameObjectManager shareGameObjectManager] playEffect:@"menutouch.caf"];
    }
    buttonTouched = 1;
    UIAlertView *alert = [[UIAlertView alloc] init];
    [alert setTitle:@"Confirm"];
    [alert setMessage:@"Do you want to delete this record file?"];
    [alert setDelegate:self];
    [alert addButtonWithTitle:@"Yes"];
    [alert addButtonWithTitle:@"No"];
    [alert show];
    [alert release];
}

-(void) deleteSave02
{
    if ([[ShareGameObjectManager shareGameObjectManager] getSound]) {
        [[ShareGameObjectManager shareGameObjectManager] playEffect:@"menutouch.caf"];
    }
    buttonTouched = 2;
    UIAlertView *alert = [[UIAlertView alloc] init];
    [alert setTitle:@"Confirm"];
    [alert setMessage:@"Do you want to delete this record file?"];
    [alert setDelegate:self];
    [alert addButtonWithTitle:@"Yes"];
    [alert addButtonWithTitle:@"No"];
    [alert show];
    [alert release];
}

-(void) deleteSave03
{
    if ([[ShareGameObjectManager shareGameObjectManager] getSound]) {
        [[ShareGameObjectManager shareGameObjectManager] playEffect:@"menutouch.caf"];
    }
    buttonTouched = 3;
    UIAlertView *alert = [[UIAlertView alloc] init];
    [alert setTitle:@"Confirm"];
    [alert setMessage:@"Delete this record ?"];
    [alert setDelegate:self];
    [alert addButtonWithTitle:@"Yes"];
    [alert addButtonWithTitle:@"No"];
    [alert show];
    [alert release];
}

- (void)alertView:(UIAlertView *)alertView clickedButtonAtIndex:(NSInteger)buttonIndex
{
    if (buttonIndex == 0)
    {
        [[ShareGameObjectManager shareGameObjectManager] deleteRecordFile:buttonTouched];
        [self initAllButton];
        buttonTouched = 0;
    }
    else if (buttonIndex == 1)
    {
        // No
    }
}

@end
