//
//  TouchAbleSprite.h
//  TouchCCSprite
//
//  Created by laiqing lai on 12-5-16.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "cocos2d.h"


@interface TouchAbleSprite : CCSprite<CCTouchOneByOneDelegate> {
    CCLayer *parentLayer;
    SEL callbackFunc;
    NSString *defaultFileName;
    NSString *pressedFileName;
    BOOL imgInCache_;
    int touchID;
    //id  param;
    //NSString *_name;
}


-(void) initLayer:(CCLayer*)p withSelector:(SEL)selector defaultImageFile:(NSString*)defaultImage pressImageFile:(NSString*)pressedImage imageInCache:(BOOL)imgInCache;

-(void) setTouchID:(int)tid;


- (BOOL)ccTouchBegan:(UITouch *)touch withEvent:(UIEvent *)event;

// touch updates:
- (void)ccTouchMoved:(UITouch *)touch withEvent:(UIEvent *)event;
- (void)ccTouchEnded:(UITouch *)touch withEvent:(UIEvent *)event;
- (void)ccTouchCancelled:(UITouch *)touch withEvent:(UIEvent *)event;

@end
